## heimdall-flash 1.4.2+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.4)

set(CMAKE_MODULE_PATH
    ${CMAKE_SOURCE_DIR}/cmake
    ${CMAKE_MODULE_PATH})

project(Heimdall)

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

option(DISABLE_FRONTEND "Disable GUI frontend" OFF)

add_subdirectory(libpit)
add_subdirectory(heimdall)
if(NOT DISABLE_FRONTEND)
    add_subdirectory(heimdall-frontend)
    add_dependencies(heimdall-frontend heimdall)
endif()

=== heimdall-frontend/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.4)

project(heimdall-frontend)

set(LIBPIT_INCLUDE_DIRS
    ../libpit/source)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON) # moc files are generated in build (current) directory

find_package(Qt5Widgets REQUIRED)
find_package(ZLIB REQUIRED)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")

if(MINGW)
    set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
endif(MINGW)

include_directories(${LIBPIT_INCLUDE_DIRS})

set(HEIMDALL_FRONTEND_SOURCE_FILES
    source/aboutform.cpp
    source/Alerts.cpp
    source/FirmwareInfo.cpp
    source/main.cpp
    source/mainwindow.cpp
    source/PackageData.cpp
    source/Packaging.cpp)

qt5_wrap_ui(HEIMDALL_FRONTEND_FORMS
    mainwindow.ui
    aboutform.ui)

qt5_add_resources(HEIMDALL_FRONTEND_RESOURCES
    mainwindow.qrc)

add_executable(heimdall-frontend WIN32
    MACOSX_BUNDLE
    ${HEIMDALL_FRONTEND_SOURCE_FILES}
    ${HEIMDALL_FRONTEND_FORMS}
    ${HEIMDALL_FRONTEND_RESOURCES})

include(LargeFiles)
use_large_files(heimdall-frontend YES)

set_property(TARGET heimdall-frontend
    APPEND PROPERTY COMPILE_DEFINITIONS "QT_LARGEFILE_SUPPORT")

target_link_libraries(heimdall-frontend pit)
target_link_libraries(heimdall-frontend Qt5::Widgets)
target_link_libraries(heimdall-frontend z)

=== heimdall/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.4)

project(heimdall)

if((NOT ${CMAKE_SYSTEM_NAME} MATCHES "Linux") AND (NOT DEFINED libusb_USE_STATIC_LIBS))
    set(libusb_USE_STATIC_LIBS YES)
endif((NOT ${CMAKE_SYSTEM_NAME} MATCHES "Linux") AND (NOT DEFINED libusb_USE_STATIC_LIBS))

find_package(libusb REQUIRED)

set(LIBPIT_INCLUDE_DIRS
    ../libpit/source)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")

if(MINGW)
    set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
endif(MINGW)

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    add_definitions(-DOS_LINUX)
endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

include_directories(SYSTEM ${LIBUSB_INCLUDE_DIRS})

include_directories(${LIBPIT_INCLUDE_DIRS})

set(HEIMDALL_SOURCE_FILES
    source/Arguments.cpp
    source/BridgeManager.cpp
    source/ClosePcScreenAction.cpp
    source/DetectAction.cpp
    source/DownloadPitAction.cpp
    source/FlashAction.cpp
    source/HelpAction.cpp
    source/InfoAction.cpp
    source/Interface.cpp
    source/main.cpp
    source/PrintPitAction.cpp
    source/Utility.cpp
    source/VersionAction.cpp)

include(LargeFiles)
use_large_files(heimdall YES)
add_executable(heimdall ${HEIMDALL_SOURCE_FILES})

target_link_libraries(heimdall PRIVATE pit)
target_link_libraries(heimdall PRIVATE usb-1.0)

=== libpit/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.4)
project(libpit)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")

set(LIBPIT_SOURCE_FILES
    source/libpit.cpp)

add_library(pit STATIC ${LIBPIT_SOURCE_FILES})

## heimdall-flash 1.4~rc1+dfsg

=== debian/changelog ===
heimdall-flash (1.4~rc1+dfsg-1) unstable; urgency=low

  * Initial package (Closes: #644520, #692863).
  * debian/patches/0001-Don-t-try-to-set-the-file-transfer-size-to-1MB-
    on-de.patch: Don't try to set the file transfer size to 1MB on devices
    of type 30; this may be correct for some of them, but definitely not for
    the SGH-T989.
  * debian/patches/remove-largefile-define.diff: Remove
    QT_LARGEFILE_SUPPORT as it is defined in Debian.  Thanks to Marcin
    Juszkiewicz <marcin@juszkiewicz.com.pl>.

 -- Steve Langasek <vorlon@debian.org>  Fri, 09 Nov 2012 19:58:15 -0800

=== debian/control ===
Source: heimdall-flash
Section: devel
Priority: extra
Maintainer: Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 9~),
	libusb-1.0-0-dev,
	qt4-qmake,
	libqt4-dev,
	libz-dev,
	pkg-config,
Standards-Version: 3.9.4
Homepage: http://www.glassechidna.com.au/products/heimdall/
Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/users/vorlon/heimdall/trunk/
Vcs-Browser: http://anonscm.debian.org/loggerhead/users/vorlon/heimdall/trunk/

Package: heimdall-flash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool for flashing firmware on Samsung Galaxy S devices
 Heimdall is a tool for flashing firmware (aka ROMs) onto Samsung Galaxy S
 devices over a USB connection.  It accomplishes this using the same
 protocol as Odin, Samsung's internal Windows-only firmware updater.

Package: heimdall-flash-frontend
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool for flashing firmware on Samsung Galaxy S devices - Qt GUI
 Heimdall is a tool for flashing firmware (aka ROMs) onto Samsung Galaxy S
 devices over a USB connection.  It accomplishes this using the same
 protocol as Odin, Samsung's internal Windows-only firmware updater.
 .
 This package includes a Qt-based frontend for managing Galaxy devices.

## heimdall-flash 1.4.0

=== debian/changelog ===
heimdall-flash (1.4.0-2) unstable; urgency=medium

  * Add Conflicts/Replaces for the upstream packages that are named
    differently.  Closes: #696879, LP: #1165843.

 -- Steve Langasek <vorlon@debian.org>  Sun, 06 Apr 2014 02:09:07 -0700

heimdall-flash (1.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #706300)
    - Fixes compatibility with the Galaxy S4 (closes: #723916) and the
      Galaxy S Relay 4G (closes: #730746).
    - Drop 0001-Don-t-try-to-set-the-file-transfer-size-to-1MB-on-de.patch;
      this is addressed differently in the upstream release.
    - Includes updated config.{sub,guess}.  Closes: #727892.
  * Add missing dependency from heimdall-flash-frontend to heimdall-flash.
    Closes: #724785.

 -- Steve Langasek <vorlon@debian.org>  Fri, 29 Nov 2013 17:50:48 +0000

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,8 @@
 Package: heimdall-flash
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: heimdall
+Replaces: heimdall
 Description: tool for flashing firmware on Samsung Galaxy S devices
  Heimdall is a tool for flashing firmware (aka ROMs) onto Samsung Galaxy S
  devices over a USB connection.  It accomplishes this using the same
@@ -23,7 +25,9 @@
 
 Package: heimdall-flash-frontend
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, heimdall-flash
+Conflicts: heimdall-frontend
+Replaces: heimdall-frontend
 Description: tool for flashing firmware on Samsung Galaxy S devices - Qt GUI
  Heimdall is a tool for flashing firmware (aka ROMs) onto Samsung Galaxy S
  devices over a USB connection.  It accomplishes this using the same

=== debian/rules ===
#!/usr/bin/make -f

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
VERSION = $(shell echo $(DEB_VERSION) | sed -e 's/-.*//; s/+dfsg.*//')

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -D libpit
	dh_auto_build -D heimdall
	dh_auto_build -D heimdall-frontend

override_dh_auto_configure:
	dh_auto_configure -D libpit
	dh_auto_configure -D heimdall
	dh_auto_configure -D heimdall-frontend

override_dh_auto_install:
	dh_auto_install -D libpit
	dh_auto_install -D heimdall
	dh_auto_install -D heimdall-frontend

override_dh_auto_clean:
	dh_auto_clean -D libpit
	dh_auto_clean -D heimdall
	dh_auto_clean -D heimdall-frontend

get-orig-source:
	git clone https://github.com/Benjamin-Dobell/Heimdall.git
	cd Heimdall && git checkout v$(VERSION)
	cd Heimdall && rm -rf libusb-1.0 Win32 libpit/autom4te.cache \
		.git Heimdall/heimdall/autom4te.cache
	mv Heimdall heimdall-flash-$(VERSION)
	tar zcvf heimdall_$(VERSION)+dfsg.orig.tar.gz heimdall-flash-$(VERSION)/ --numeric-owner
	rm -rf heimdall-flash-$(VERSION)

## heimdall-flash 1.4.1

=== debian/changelog ===
heimdall-flash (1.4.1-2) unstable; urgency=medium

  * Add watch file; thanks to Bálint Réczkey.
  * Build with LFS_CFLAGS, for compatibility with files >2GB on 32-bit archs.
    Closes: #807800.

 -- Steve Langasek <vorlon@debian.org>  Tue, 01 Mar 2016 07:03:09 +0000

heimdall-flash (1.4.1-1) unstable; urgency=medium

  * New upstream release.  Closes: #754309.
  * Fix our udev rules to use uaccess, not udev-acl which no longer works.
    Closes: #747034.
  * Version the build-dependcy on libusb-1.0-0-dev.  Of minimal utility now
    that jessie is released, but not incorrect.  Closes: #775064.

 -- Steve Langasek <vorlon@debian.org>  Mon, 14 Sep 2015 20:43:03 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+DEB_CFLAGS_MAINT_APPEND  := $(shell getconf LFS_CFLAGS)
+export DEB_CFLAGS_MAINT_APPEND
 
 DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
 VERSION = $(shell echo $(DEB_VERSION) | sed -e 's/-.*//; s/+dfsg.*//')

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g,dversionmangle=s/.dfsg[0-9]*// \
	 https://github.com/Benjamin-Dobell/Heimdall/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## heimdall-flash 1.4.2+dfsg

=== debian/changelog ===
heimdall-flash (1.4.2+dfsg-1) unstable; urgency=medium

  [Nicholas D Steeves]
  * Salvage heimdall-flash. (Closes: #946706)
  * Set myself as Maintainer.
  * New upstream release. (Closes: #872788)
    - Ben Hutchings, Matt Taggart, Mathias Behrle, and Michal Suchanek
      confirmed that this release solves issues with downloading a device's
      PIT. (Closes: #800573)
  * Build with Qt5. (Closes: #874915)
  * Add gbp.conf.
  * Drop remove-largefile-define.diff, to test if it is still needed.  The
    upstream build system now uses qmake via CMake, rather than directly
    using the native Qt build system, heimdall-frontend.pro has
    disappeared, and CMakeLists.txt:L48 appends QT_LARGEFILE_SUPPORT to
    COMPILE_DEFINITIONS.  Given Marcin's description and confirmation with
    Lisandro about QT_LARGEFILE_SUPPORT in Debian, it's unclear whether or
    not patching out QT_LARGEFILE_SUPPORT is still required.
  * Switch to debhelper-compat 12.  Cut "--parallel" from rules, because
    it is enabled by default with this dh version.
  * Drop all overrides from rules.
  * Drop get-orig-source from rules, because it does not appear to have
    been used since 1.4~rc1+dfsg-1, because it uses the old github remote,
    and because I do not want to maintain it.
  * Add CMake as a build-dep.
  * Modify heimdall-flash.install and heimdall-flash-frontend.install to
    source binaries from CMake build dir.
  * Update Vcs links to use the Debian project on salsa.
  * Override dh_auto_install to build man page from Linux README, and add
    txt2man as a build-dep.
  * Drop the version qualifier for libusb-1.0-0-dev build-dep, because
    even oldoldstable has the minimum required version of 2:1.0.19-1.
  * Install man page using heimdall-flash.manpages
  * Provide a man page for heimdall-frontend using
    heimdall-flash-frontend.links
  * Copyright: Use secure URLs.
  * Copyright: Add Steve Langasek and myself for debian/*
  * Rules: Stop parsing the changelog and instead use pkg-info.mk to get
    DEB_VERSION_UPSTREAM.
  * Declare Standards-Version: 4.5.0
    - Change Priority extra to optional.
  * Add lintian override for "appstream-metadata-missing-modalias-provide".
    See lintian-overrides for rationale.  Thanks to Moritz Mühlenhoff for the
    review and discussion on this package's lint.
  * Add zadig.exe to copyright's Files-Excluded, add +dfsg suffix to version,
    and adjust watch file for a DFSG-repacked orig.tarball.
  * Add Lintian override for hardening-no-bindnow.  See
    debian/lintian-overrides for rationale.

  [Felix Lechner and Nicholas D Steeves]
  * Update watch file to use new gitlab.com upstream.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 08 Mar 2020 17:53:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: heimdall-flash
 Section: devel
-Priority: extra
-Maintainer: Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper (>= 9~),
-	libusb-1.0-0-dev,
-	qt4-qmake,
-	libqt4-dev,
-	libz-dev,
-	pkg-config,
-Standards-Version: 3.9.4
+Priority: optional
+Maintainer: Nicholas D Steeves <nsteeves@gmail.com>
+Build-Depends: debhelper-compat (= 12),
+               cmake,
+               libusb-1.0-0-dev,
+               libz-dev,
+               pkg-config,
+               qt5-qmake,
+               qttools5-dev,
+               txt2man
+Standards-Version: 4.5.0
 Homepage: http://www.glassechidna.com.au/products/heimdall/
-Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/users/vorlon/heimdall/trunk/
-Vcs-Browser: http://anonscm.debian.org/loggerhead/users/vorlon/heimdall/trunk/
+Vcs-Browser: https://salsa.debian.org/debian/heimdall-flash
+Vcs-Git: https://salsa.debian.org/debian/heimdall-flash.git
 
 Package: heimdall-flash
 Architecture: any

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/v(\d\S+)\/Heimdall.*\.tar\.bz2/@PACKAGE@-$1\.tar\.bz2/g,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,repacksuffix=+dfsg \
  https://gitlab.com/BenjaminDobell/Heimdall/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.bz2

## heimdall-flash 2.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.4)
+cmake_minimum_required(VERSION 3.0.0)
 
 set(CMAKE_MODULE_PATH
     ${CMAKE_SOURCE_DIR}/cmake

=== heimdall-frontend/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.4)
+cmake_minimum_required(VERSION 3.0.0)
 
 project(heimdall-frontend)
 
@@ -11,7 +11,10 @@
 find_package(Qt5Widgets REQUIRED)
 find_package(ZLIB REQUIRED)
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
+if(APPLE)
+    set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
+    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lobjc -framework IOKit -framework CoreFoundation")
+endif()
 
 if(MINGW)
     set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
@@ -41,8 +44,38 @@
     ${HEIMDALL_FRONTEND_FORMS}
     ${HEIMDALL_FRONTEND_RESOURCES})
 
-include(LargeFiles)
-use_large_files(heimdall-frontend YES)
+target_compile_features(heimdall-frontend PRIVATE cxx_std_11)
+
+include(CheckSymbolExists)
+
+#
+# Large file support on UN*X, a/k/a LFS.
+#
+# On Windows, we require _fseeki64() and _ftelli64().  Visual Studio
+# has had supported them since Visual Studio 2005/MSVCR80.
+#
+if(NOT WIN32)
+    include(FindLFS)
+    if(LFS_FOUND)
+        #
+        # Add the required #defines.
+        #
+        add_definitions(${LFS_DEFINITIONS})
+    endif()
+
+    #
+    # Check for fseeko as well.
+    #
+    include(FindFseeko)
+    if(FSEEKO_FOUND)
+        set(HAVE_FSEEKO ON)
+
+        #
+        # Add the required #defines.
+        #
+        add_definitions(${FSEEKO_DEFINITIONS})
+    endif()
+endif()
 
 set_property(TARGET heimdall-frontend
     APPEND PROPERTY COMPILE_DEFINITIONS "QT_LARGEFILE_SUPPORT")
@@ -50,3 +83,7 @@
 target_link_libraries(heimdall-frontend pit)
 target_link_libraries(heimdall-frontend Qt5::Widgets)
 target_link_libraries(heimdall-frontend z)
+install (TARGETS heimdall-frontend
+        RUNTIME    DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+        LIBRARY    DESTINATION ${CMAKE_INSTALL_LIBDIR}
+        BUNDLE DESTINATION /Applications)

=== heimdall/CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,16 @@
-cmake_minimum_required(VERSION 2.8.4)
+cmake_minimum_required(VERSION 3.0.0)
 
 project(heimdall)
-
-if((NOT ${CMAKE_SYSTEM_NAME} MATCHES "Linux") AND (NOT DEFINED libusb_USE_STATIC_LIBS))
-    set(libusb_USE_STATIC_LIBS YES)
-endif((NOT ${CMAKE_SYSTEM_NAME} MATCHES "Linux") AND (NOT DEFINED libusb_USE_STATIC_LIBS))
 
 find_package(libusb REQUIRED)
 
 set(LIBPIT_INCLUDE_DIRS
     ../libpit/source)
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
+if(APPLE)
+    set(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
+    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lobjc -framework IOKit -framework CoreFoundation")
+endif()
 
 if(MINGW)
     set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
@@ -40,9 +39,42 @@
     source/Utility.cpp
     source/VersionAction.cpp)
 
-include(LargeFiles)
-use_large_files(heimdall YES)
+include(CheckSymbolExists)
+
+#
+# Large file support on UN*X, a/k/a LFS.
+#
+# On Windows, we require _fseeki64() and _ftelli64().  Visual Studio
+# has had supported them since Visual Studio 2005/MSVCR80.
+#
+if(NOT WIN32)
+    include(FindLFS)
+    if(LFS_FOUND)
+        #
+        # Add the required #defines.
+        #
+        add_definitions(${LFS_DEFINITIONS})
+    endif()
+
+    #
+    # Check for fseeko as well.
+    #
+    include(FindFseeko)
+    if(FSEEKO_FOUND)
+        set(HAVE_FSEEKO ON)
+
+        #
+        # Add the required #defines.
+        #
+        add_definitions(${FSEEKO_DEFINITIONS})
+    endif()
+endif()
+
 add_executable(heimdall ${HEIMDALL_SOURCE_FILES})
+target_compile_features(heimdall PRIVATE cxx_std_11)
 
 target_link_libraries(heimdall PRIVATE pit)
-target_link_libraries(heimdall PRIVATE usb-1.0)
+target_link_libraries(heimdall PRIVATE ${LIBUSB_LIBRARIES})
+install (TARGETS heimdall
+    RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== libpit/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
project(libpit)

set(LIBPIT_SOURCE_FILES
    source/libpit.cpp)

add_library(pit STATIC ${LIBPIT_SOURCE_FILES})

target_compile_features(pit PRIVATE cxx_std_11)

=== debian/changelog ===
heimdall-flash (2.0.2-3) unstable; urgency=medium

  * Drop myself from Uploaders.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 03 Aug 2024 19:16:14 -0400

heimdall-flash (2.0.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Bastien Roucariès <rouca@debian.org>  Sat, 17 Jun 2023 21:13:46 +0000

heimdall-flash (2.0.2-1) experimental; urgency=medium

  * Import new upstream
  * Add myself as uploader

 -- Bastien Roucariès <rouca@debian.org>  Sun, 07 May 2023 20:47:14 +0000

heimdall-flash (1.4.2+dfsg-2) UNRELEASED; urgency=medium

  * Cherry pick upstream commit:cc44b349, which is present in merge
    commit:9bcc42da, and which allegedly solves "cannot flash RECOVERY on
    Samsung Note 3 (SM-N9005, hlte)".  This commit corresponds to
    0001-Use-library-found-instead-of-hardcoding-compiler-fla.patch.
  * Cherry pick upstream commit:4a9259b4 from merge commit:5377b628.  While
    it does not provide GNUInstallDirs, CMake install targets are a step in
    the right direction.  This commit corresponds to
    0002-Added-install-targets.patch.
  * Use paths from new CMake install targets in
    heimdall-flash-frontend.install.
  * Cherry pick upstream commit:4a9259b4, which modifies README.md to reflect
    upstream's migration from GitHub to Gitlab.  This commit corresponds to
    0003-Updated-README.md-so-the-README-.txt-links-point-to-.patch.
  * Cherry pick commit:0fd207a4 from a merge request; it adds the Odin
    protocol v4 support needed by newer devices.  This commit corresponds to
    0004-heimdall-Odin-protocol-version-4-support.patch.
  * Cherry pick commit:d8a14b55 from the same MR; it enables uploading of large
    firmware.  This ability is likely to be uneeded by most users, who will
    use heimdall-flash to flash TWRP, and then TWRP to flash a new Android
    firmware; however, it seems like supporting this might be part of the
    Odin protocol v4 specification, and it may be useful for flashing
    non-Android firmware.  This commit corresponds to
    0005-heimdall-Fix-flashing-firmwares-bigger-than-3.5GB.patch.
  * Cherry pick commit:fbdfe503 from another MR; this patch appears to be
    required for devices such as the GT-S5360 and GT-S6102, and it is likely
    that other new devices will also require it.  This commit corresponds to
    0006-Issue-517-Heimdall-set-interface-failure-errno-110-o.patch.
  * Migrate to debhelper-compat 13.
  * Set Rules-Requires-Root: no.
  * Declare Standards-Version: 4.5.1 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 16 Mar 2020 16:12:13 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: heimdall-flash
 Section: devel
 Priority: optional
-Maintainer: Nicholas D Steeves <nsteeves@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Bastien Roucaries <rouca@debian.org>
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libusb-1.0-0-dev,
                libz-dev,
@@ -10,8 +10,9 @@
                qt5-qmake,
                qttools5-dev,
                txt2man
-Standards-Version: 4.5.0
-Homepage: http://www.glassechidna.com.au/products/heimdall/
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
+Homepage: https://git.sr.ht/~grimler/Heimdall/
 Vcs-Browser: https://salsa.debian.org/debian/heimdall-flash
 Vcs-Git: https://salsa.debian.org/debian/heimdall-flash.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM
export SOURCE_DATE_EPOCH

DEB_CFLAGS_MAINT_APPEND  := $(shell getconf LFS_CFLAGS)
export DEB_CFLAGS_MAINT_APPEND

%:
	dh $@

# generate man page during auto_install
override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp
	txt2man -d $$SOURCE_DATE_EPOCH -t HEIMDALL -s1 -t heimdall \
	        -r heimdall-$$DEB_VERSION_UPSTREAM \
	        -v "tool for flashing firmware on Samsung Galaxy S devices" \
	        Linux/README > debian/tmp/heimdall.1

## heimdall-flash 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.0)
+cmake_minimum_required(VERSION 3.5.0)
 
 set(CMAKE_MODULE_PATH
     ${CMAKE_SOURCE_DIR}/cmake

=== heimdall-frontend/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.0)
+cmake_minimum_required(VERSION 3.5.0)
 
 project(heimdall-frontend)

=== heimdall/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.0)
+cmake_minimum_required(VERSION 3.5.0)
 
 project(heimdall)

=== libpit/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.0)
+cmake_minimum_required(VERSION 3.5.0)
 project(libpit)
 
 set(LIBPIT_SOURCE_FILES

=== debian/changelog ===
heimdall-flash (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * Add appstream metadata (Closes: #1076349)

 -- Bastien Roucariès <rouca@debian.org>  Mon, 21 Apr 2025 19:25:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: heimdall-flash
 Section: devel
 Priority: optional
-Maintainer: Bastien Roucaries <rouca@debian.org>
+Maintainer: Nicholas D Steeves <nsteeves@gmail.com>
+Uploaders: Bastien Roucaries <rouca@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libusb-1.0-0-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM
export SOURCE_DATE_EPOCH

DEB_CFLAGS_MAINT_APPEND  := $(shell getconf LFS_CFLAGS)
export DEB_CFLAGS_MAINT_APPEND

%:
	dh $@

# generate man page during auto_install
override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp

=== debian/watch ===
version=4
opts=filenamemangle=s/.*v@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@-$1$2/g,dversionmangle=s/@DEB_EXT@//,repacksuffix=+dfsg \
  https://git.sr.ht/~grimler/Heimdall/refs/ .*/v@ANY_VERSION@@ARCHIVE_EXT@
